import { DataObject, ListModel, NewData } from 'mobx-restful';
import { SheetMeta } from './type';
export * from './type';
export declare abstract class SpreadSheetModel<D extends DataObject, F extends NewData<D> = NewData<D>> extends ListModel<D, F> {
    id: string;
    sheetId: string;
    baseURI: string;
    offset: [number, number];
    abstract columnKeys: (keyof D)[];
    accessor meta: SheetMeta | undefined;
    constructor(id: string, sheetId: string);
    /**
     * @see {@link https://open.feishu.cn/document/ukTMukTMukTM/uETMzUjLxEzM14SMxMTN}
     */
    getMeta(): Promise<SheetMeta>;
    /**
     * @see {@link https://open.feishu.cn/document/ukTMukTMukTM/ugTMzUjL4EzM14COxMTN}
     */
    loadPage(pageIndex: number, pageSize: number, filter: NewData<D>): Promise<{
        pageData: D[];
        totalCount: number;
    }>;
}
